package com.ruoyi.project.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

import java.util.List;

/**
 * 【请填写功能名称】对象 tj_elevator
 * 
 * @author ruoyi
 * @date 2024-05-20
 */
public class TjElevator extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 土建出图ID */
    @Excel(name = "土建出图ID")
    private Long civilEngineeringId;

    /** 电梯型号ID */
    @Excel(name = "电梯型号ID")
    private Long elevatorModelId;

    /** 电梯编码（电梯号） */
    @Excel(name = "电梯编码")
    private String elevatorCode;

    /** 添加方式(00：手工录入 02：报价单) */
    @Excel(name = "添加方式(00：手工录入 02：报价单)")
    private String addType;

    /** 关联报价单ID */
    @Excel(name = "关联报价单ID")
    private Long quotationId;

    /** 规格(载重/速度/轿厢宽*深*高/开门方式/开门宽*高/层数/站数/门数) */
    @Excel(name = "规格(载重/速度/轿厢宽*深*高/开门方式/开门宽*高/层数/站数/门数)")
    private String specification;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    @Transient
    private String elevatorModel;

    /** 电梯参数明细列表 */
    @Transient
    private List<TjElevatorParaDetail> paramList;

    public List<TjElevatorParaDetail> getParamList() {
        return paramList;
    }

    public void setParamList(List<TjElevatorParaDetail> paramList) {
        this.paramList = paramList;
    }

    public String getElevatorModel() {
        return elevatorModel;
    }

    public void setElevatorModel(String elevatorModel) {
        this.elevatorModel = elevatorModel;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCivilEngineeringId(Long civilEngineeringId) 
    {
        this.civilEngineeringId = civilEngineeringId;
    }

    public Long getCivilEngineeringId() 
    {
        return civilEngineeringId;
    }
    public void setElevatorModelId(Long elevatorModelId) 
    {
        this.elevatorModelId = elevatorModelId;
    }

    public Long getElevatorModelId() 
    {
        return elevatorModelId;
    }
    public void setElevatorCode(String elevatorCode) 
    {
        this.elevatorCode = elevatorCode;
    }

    public String getElevatorCode() 
    {
        return elevatorCode;
    }
    public void setAddType(String addType) 
    {
        this.addType = addType;
    }

    public String getAddType() 
    {
        return addType;
    }
    public void setQuotationId(Long quotationId) 
    {
        this.quotationId = quotationId;
    }

    public Long getQuotationId() 
    {
        return quotationId;
    }
    public void setSpecification(String specification) 
    {
        this.specification = specification;
    }

    public String getSpecification() 
    {
        return specification;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("civilEngineeringId", getCivilEngineeringId())
            .append("elevatorModelId", getElevatorModelId())
            .append("elevatorCode", getElevatorCode())
            .append("addType", getAddType())
            .append("quotationId", getQuotationId())
            .append("specification", getSpecification())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
